%define anolis_release 1
Name: squashfs-tools
Version: 4.6.1
Summary: Utility for the creation of squashfs filesystems
%global forgeurl https://github.com/plougher/%{name}
%global tag %{version}
%forgemeta
URL:     %{forgeurl}
Source:  %{forgesource}
Release: %{anolis_release}%{dist}
License: GPLv2+

BuildRequires: make
BuildRequires: gcc
BuildRequires: zlib-devel
BuildRequires: xz-devel
BuildRequires: lzo-devel
BuildRequires: libattr-devel
BuildRequires: lz4-devel
BuildRequires: libzstd-devel
BuildRequires: help2man

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains the utilities for manipulating squashfs filesystems.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version}

%build
%set_build_flags
pushd squashfs-tools
CFLAGS="%optflags" XZ_SUPPORT=1 LZO_SUPPORT=1 LZMA_XZ_SUPPORT=1 LZ4_SUPPORT=1 ZSTD_SUPPORT=1 make %{?_smp_mflags}

%install
pushd squashfs-tools
make INSTALL_PREFIX=%{buildroot}/usr INSTALL_DIR=%{buildroot}%{_sbindir} INSTALL_MANPAGES_DIR=%{buildroot}%{_mandir}/man1 install

%files
%doc COPYING USAGE*
%{_mandir}/man1/mksquashfs.1.zst
%{_mandir}/man1/unsquashfs.1.zst
%{_mandir}/man1/sqfstar.1.zst
%{_mandir}/man1/sqfscat.1.zst
%{_sbindir}/mksquashfs
%{_sbindir}/unsquashfs
%{_sbindir}/sqfstar
%{_sbindir}/sqfscat

%files doc
%doc ACKNOWLEDGEMENTS README* CHANGES ACTIONS-README

%changelog
* Sun Oct 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.6.1-1
- update to 4.6.1 & fix CVE-2021-41072 CVE-2021-40153

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.5-2
- add doc package

* Mon Mar 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.5-1
- Init from upstream version 4.5

